YamahaSynth.com Forums

This is the place to talk about all things related to Yamaha Synthesizers!
  1. CassieDennis
  2. Sherlock Holmes
  3. Synews
  4. Saturday, 18 February 2017
The second article in the Get Connected series for setting up wireless MIDI interface for your Macintosh computer with the MD or UD-BT01 utilities is now available here.

Have questions or want to discuss the lesson? Use this discussion string to post your comments.

If you haven't checked out the first lesson - Get Connected - Part I now and get started detangling that collection of cables.
Responses (27)
Accepted Answer Pending Moderation
Thank you SO MUCH for posting the instructions on how to connect the UD-BT01 to Max OSX.

I have one question: I installed the app and have Firmware version 1.0 installed. Then it shows update to a newer version. The problem is that the app is crashing like hell with Kernel error as per Crash report. I am running the newest iOS 10.2.x. Did you ever hear about that and if so how can I stop this as I want to update but unfortunately I already crashed one adapter which was replaced FOC.
  1. more than a month ago
  2. Synews
  3. # 1
Accepted Answer Pending Moderation
Go to the App Store and download MD-BT01/UD-BT01 Utility 1.0.1
This will allow you to update the firmware of your UD-BT01

The Utility will be listed in the App Store under iPhone Apps (it runs on iPad in x2 mode)

Let us know.
  1. more than a month ago
  2. Synews
  3. # 2
Accepted Answer Pending Moderation
Hi there,

I have a 2017 MacBook Pro 13” with touchbar and it has Bluetooth 5.0, running Sierra

I’ve updated my firmware on my BT-01 to 1.04

When I go to connect my device in audio device manager, in the Bluetooth settings the BT-01 shows up, but when I click “connect” it changes to “Connecting...”, then it completely disappears, and it no longer shows up in the dialog until I turn it on and off again.

I have yet to successfully connect. Any speedy advice would be welcome - I need it for a gig tonight!

Edd
  1. more than a month ago
  2. Synews
  3. # 3
Accepted Answer Pending Moderation
Hi Edward,
Well, sorry we missed your gig, but you didn’t provide any info that tells us what application you are trying to setup. From what you’ve told us the unit (you don’t even mention which BT-01 you have) is communicating with your computer. Next step is to select it within an application.

Let us know:
MD-BT01 or UD-BT01?
What application are you attempting to use?

FYI:
The MD-BT01 and the UD-BT01 communicate MIDI data only, that’s the reason you don’t see it in your audio setup. It’s not that it disappears, it simply that it is communicating MIDI only.
  1. more than a month ago
  2. Synews
  3. # 4
Accepted Answer Pending Moderation
Looking for help....

I just updated my MD-BT01 to 1.05 and it no longer works. It was great under 1.04. In fact, it is now seen as a UD model, which is incorrect. Previously, it was listed as the correct MD.

I can’t find a way to get back to 1.04. Or to fix it so the device is correctly seen as the Midi port adapter.

Help :)
  1. more than a month ago
  2. Synews
  3. # 5
Accepted Answer Pending Moderation
Looking for help....

I just updated my MD-BT01 to 1.05 and it no longer works. It was great under 1.04. In fact, it is now seen as a UD model, which is incorrect. Previously, it was listed as the correct MD.

I can’t find a way to get back to 1.04. Or to fix it so the device is correctly seen as the Midi port adapter.

Help :)
Interesting Rich,
The latest firmware for the MD-BT01 is version 1.0.4 _Not sure where you are looking to see the version number... but maybe this will help:
Plug the MD-BT01 into your MIDI device. Make sure your Keyboard is set to Output MIDI via the 5-pin MIDI Port. Ensure that MIDI OUT of your keyboard causes the internal red light of the MD-BT01 to flash... ensuring this is indeed the correct connection for OUT, plug the other end to the MIDI IN.

Open the Utility App “MDUD-BT01”
Give it a few moments to detect your MD-BT01
It should report the current version: 1.0.4;
IMG_0090.PNG
If you touch the line item it will allow you to RENAME the device and to check for FIRMWARE Updates.
Select "Firmware" -- it should indicate the latest firmware available for download: New Version V1.0.4
IMG_0091.PNG

Even if you don’t understand this and you were to attempt to update anyway... the update will download and install 1.0.4 AGAIN!
When successfully completed it will again indicate that the current firmware is 1.0.4 and the latest download is 1.0.4

At the very bottom of the App it says that version of this App “MD-BT01/UD-BT01 Utility is "1.0.5" (please do not confuse this with the version of your Yamaha BlueTooth device) V1.0.5 that’s just the version of the Utility App itself.

Let us know.
Attachments (2)
  1. more than a month ago
  2. Synews
  3. # 6
Accepted Answer Pending Moderation
Hey. Thanks for the response.
I tried your suggestions but the issue persists.

I had updated the iOS firmware app which was posted just before the holiday.

Once the app updated, I updated the MD device and then the troubles began.

The app now sees my MD device as it’s sister UD device. And now there is no apparent midi connection to music apps - even though iOS can see the device. If sees it as the UD version.
Attachments (2)
  1. more than a month ago
  2. Synews
  3. # 7
Accepted Answer Pending Moderation
And just be clear, I have the MD device which plugs into the old fashioned midi 5-pin din port. It is not the UD usb version.

Except everything I connect it to thinks it is the UD device version. :(
  1. more than a month ago
  2. Synews
  3. # 8
Accepted Answer Pending Moderation
You should contact Yamaha Customer Support... I didn't know that was possible. Please contact them so they can open a "ticket" on the issue...

But just to be clear the MDUD-BT01 Utility is version 1.0.5
The firmware version of the MD-BT01 is 1.0.4

So what firmware does your unit report it has when you connect the MDUD-BT01 Utility ?
That is the screenshot of interest here...
What is it you are using it with (what application)?
  1. more than a month ago
  2. Synews
  3. # 9
Accepted Answer Pending Moderation
When I plug in the MD device and launch the iOS utility, it finds a Bluetooth device but it displays the UD version and states it is version 1.05.

I have tried lots of midi ports to see if I can get a different device.

It’s almost as if the app updated my MD device with the UD firmware. So now nothing connects because the MD device will never send out data via the USB port of course.

Ugh.

Can you point me to where I log an official support ticket?
  1. more than a month ago
  2. Synews
  3. # 10
Accepted Answer Pending Moderation
Oh...previously, before the last update, it correctly stated 1.04 and was working great.

I usually use with the KORG apps: module / gadget. And recently with Ravenscroft piano app. It worked wonderfully. Well, it did. ;)

And thanks so much for your help on this.
  1. more than a month ago
  2. Synews
  3. # 11
Accepted Answer Pending Moderation
You are saying 1.04
I’m saying 1.0.4

Is it just that you don’t want to type it correctly or does it *incorrectly* report 1.04, as well?
Can you post a screenshot of the MDUD-BT01 Utility?
https://yamahasynth.com/ask-a-question?controller=attachment&task=download&tmpl=component&id=1704

https://yamahasynth.com/ask-a-question?controller=attachment&task=download&tmpl=component&id=1705

I have tried lots of midi ports to see if I can get a different device.
? What MIDI Ports are you referring to?

Can you point me to where I log an official support ticket?
Not without knowing where you are. In general you can contact Yamaha through the corporate website Yamaha.com or look in the back of your Owner’s Manual for the Yamaha distributor nearest you.
  1. more than a month ago
  2. Synews
  3. # 12
Accepted Answer Pending Moderation
I'm having the exact same issue as Rich as of last Friday. The iOS app seems to have flashed my MD with UD firmware. Not happy. Any fix yet?
  1. more than a month ago
  2. Synews
  3. # 13
Accepted Answer Pending Moderation
Please contact Yamaha Customer Support — they will be able to get the information on a fix (if and when there is one).
  1. more than a month ago
  2. Synews
  3. # 14
Accepted Answer Pending Moderation
This may be a question about the capabilities of Bluetooth rather than the MD-BT101.
Can the MD-BT101 control two devices at once for the sake of layering sounds or is that a limitation of bluetooth.
I have the 101 plugged into a KOrg Kronos, individually it controls my iPadmini4 and MacBook Pro Ableton Live plugin VST instruments. I wanted it to control both devices at the same time so I could layer sounds from the iPad and the MacBook together.
Is that possible? The MD-BT101 isn't seen in the preferences of both devices if one is already using it.

Thanks.
  1. more than a month ago
  2. Synews
  3. # 15
Accepted Answer Pending Moderation
Hey Luke...sorry to hear about the MD thing but kinda glad I wasn’t going nuts.

I’m gonna check in with Yamaha on this one too.
  1. more than a month ago
  2. Synews
  3. # 16
Accepted Answer Pending Moderation
Hey Bad Mister...

Sorry for the long delay. I’m still having issues.

The app states version 1.05 (though I have been told here the MD code is really only 1.04). Regardless, the app still thinks I have a UD device and is displaying version 1.05.
  1. more than a month ago
  2. Synews
  3. # 17
Accepted Answer Pending Moderation
FYI...it appears the iOS app has been removed temporarily from the Apple App Store. Hoping a fix is coming :)
  1. more than a month ago
  2. Synews
  3. # 18
Accepted Answer Pending Moderation
I have logged Yamaha support ticket:
Ref.#02111860ref:_00D30F1z._5000Mn0PEU:ref
  1. more than a month ago
  2. Synews
  3. # 19
Accepted Answer Pending Moderation
Now you just need to wait for their response.
  1. more than a month ago
  2. Synews
  3. # 20
  • Page :
  • 1
  • 2


There are no replies made for this post yet.
However, you are not allowed to reply to this post.
2018 © Yamaha Corporation of America and Yamaha Corporation. All rights reserved.